Package com.avaya.clientservices.collaboration.contentsharing

## Class ContentSharingOpenGLRenderer

- java.lang.Object
- - com.avaya.clientservices.collaboration.contentsharing.ContentSharingOpenGLRenderer

-     public class ContentSharingOpenGLRenderer
      extends java.lang.Object

  This class is used to create view for displaying Content Sharing. It needs to be registered on `ContentSharing` object using `ContentSharing.setOpenGLRenderer(ContentSharingOpenGLRenderer)`. This should be done as early as possible. The best place o do so is `CollaborationListener.onCollaborationStarted(Collaboration)` CollaborationListener.onCollaborationStarted(Collaboration)} callback. View can be obtained with `createContentSharingLayout(Context)`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ContentSharingOpenGLRenderer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ContentSharingPlaneViewGroup` | `createContentSharingLayout​(android.content.Context context)` | Create layout that draws Content Sharing.
    `boolean` | `isBitmapSet()` | Returns true if bitmap was received from Content Sharing.
    `void` | `setCursorIcon​(android.graphics.Bitmap cursorBitmap)` | Sets bitmap to use for cursor.
    `void` | `setPauseIcon​(android.graphics.Bitmap pauseBitmap)` | Sets bitmap to use for pause.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContentSharingOpenGLRenderer

          public ContentSharingOpenGLRenderer()

  - ### Method Detail

    - #### createContentSharingLayout

          public ContentSharingPlaneViewGroup createContentSharingLayout​(android.content.Context context)

      Create layout that draws Content Sharing.
      Parameters:
        `context` - Context
      Returns:
        layout that draws Content Sharing.

    - #### isBitmapSet

          public boolean isBitmapSet()

      Returns true if bitmap was received from Content Sharing.
      Returns:
        true if bitmap was received from Content Sharing.

    - #### setCursorIcon

          public void setCursorIcon​(android.graphics.Bitmap cursorBitmap)

      Sets bitmap to use for cursor.
      Parameters:
        `cursorBitmap` - bitmap to use for cursor.

    - #### setPauseIcon

          public void setPauseIcon​(android.graphics.Bitmap pauseBitmap)

      Sets bitmap to use for pause.
      Parameters:
        `pauseBitmap` - bitmap to use for pause.